For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Dashboard
GuidesAPI ReferenceSDKs
GuidesAPI ReferenceSDKs
  • API
      • GETGet account activity summary
      • GETGet account balance
      • GETGet account users
      • GETList all accounts
Dashboard
Products
PaymentsDataPayouts
Company
AboutCareersContact Sales

Terms of Use | Privacy Policy | © 2026 Trustly, Inc.

Developer-friendly docs for your API
GitHub|Contact Support|Business Help Center|Merchant Portal
Terms of Use|Privacy Policy|© 2026 Trustly, Inc.
Developer-friendly docs for your API
LogoLogo
North AmericaEurope
North AmericaEurope
APIAccount Data

Get account balance

|View as Markdown|Open in Claude|
GET
https://sandbox.trustly.one/api/v1/transactions/:transactionId/payment/paymentProvider/account/balance
GET
/api/v1/transactions/:transactionId/payment/paymentProvider/account/balance
$curl https://sandbox.trustly.one/api/v1/transactions/transactionId/payment/paymentProvider/account/balance \
> -u "<username>:<password>"
1{
2 "accountBalance": {
3 "account": {
4 "providerId": "200005501",
5 "paymentProvider": {
6 "paymentProviderId": "200005501",
7 "type": 1,
8 "name": "Demo Bank",
9 "instantPayoutAvailable": false,
10 "swift": "PBNKUS11XXX",
11 "country": "US"
12 },
13 "nameOnAccount": "John Smith",
14 "name": "Demo Checking Account",
15 "type": 1,
16 "profile": 1,
17 "accountNumber": "123456576",
18 "verified": true,
19 "verification": {
20 "verified": true,
21 "type": 2,
22 "hasEnoughFunds": false,
23 "verificationDate": 1
24 },
25 "routingNumber": "124003116",
26 "accountNumberLastFour": "6576",
27 "virtualAccountRoutingPair": false
28 },
29 "currency": "USD",
30 "amount": "100.12"
31 }
32}
Retrieves the details of an Account that was authorized for a Transaction. You need only supply the unique transactionId that was returned as part of a bank authorization. This is a restricted API and must be approved for usage by the Trustly Compliance team. **Warning**</br>Please wait to receive the [DataReady](../reference/post_dataready) event before calling this endpoint. Requests to this endpoint made prior to receiving the DataReady event can result in partial data being returned. **Note for International Financial Institutions**</br>In some geographies the `Account` object in the response for this API may contain additional properties. For example, the `taxId` returned for accounts from Brazilian institutions.
Was this page helpful?
Previous

Get account activity summary

Next

Get account users

Built with

Retrieves the details of an Account that was authorized for a Transaction. You need only supply the unique transactionId that was returned as part of a bank authorization.

This is a restricted API and must be approved for usage by the Trustly Compliance team.

WarningPlease wait to receive the DataReady event before calling this endpoint. Requests to this endpoint made prior to receiving the DataReady event can result in partial data being returned.

Note for International Financial InstitutionsIn some geographies the Account object in the response for this API may contain additional properties. For example, the taxId returned for accounts from Brazilian institutions.

Authentication

AuthorizationBasic

Path parameters

transactionIdstringRequired
Transaction ID retrieved from a Trustly Authorization transaction.

Response

OK
accountBalanceobject

Errors

400
Bad Request Error